{
  "compilerOptions": {
    "target": "ES2020",                 // Уровень компиляции JavaScript
    "module": "CommonJS",               // Для совместимости с Node.js
    "outDir": "./dist",                 // Папка для скомпилированных файлов
    "rootDir": "./src",                 // Исходный код
    "strict": true,                     // Включение строгой проверки типов
    "esModuleInterop": true,            // Для совместимости с модулями ES
    "forceConsistentCasingInFileNames": true,
    "skipLibCheck": true                // Ускоряет компиляцию
  },
  "include": ["src/**/*"],              // Файлы, которые обрабатывает TypeScript
  "exclude": ["node_modules"]           // Исключение для node_modules
}
